#ifndef _MAIN_H
#define _MAIN_H

#include <stdint.h>
#include <stdio.h>
#include <math.h>
#include <string.h>
#include "stm32f30x.h"
#include <stdbool.h>

#define NUM_SAMPLES 6000

// adc.c:
void setupADC(void);
void initADC(void);
void startADCDMA(void);
void stopADCDMA(void);

void initDisplay(void);

// main.c:
extern volatile u8 DMABufferReady;
extern volatile u16 triggerPosition;
extern uint8_t chCapture[NUM_SAMPLES*2];
//extern void clearNDrawSignals(void);
extern void drawWaves(void);
/*
typedef volatile union  {
  u32 u32[DMABufferSize];
  u16 u16[DMABufferSize * 2];
  u8  u8[DMABufferSize * 4];
} DataBuffer;
extern DataBuffer dataBuffer;

typedef struct {
  u8 enabled, channel, fall;
  u16 value, offset;
} Trigger;
extern Trigger trigger;
*/
#endif /*  _MAIN_H */
